Bug 492974 - Review Request: calf - Audio plugins pack
Summary: Review Request: calf - Audio plugins pack
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-31 00:26 UTC by Orcan Ogetbil
Modified: 2009-04-27 21:34 UTC (History)
2 users (show)

Fixed In Version: 0.0.18.3-1.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-27 21:34:48 UTC
mmaslano: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Orcan Ogetbil 2009-03-31 00:26:37 UTC
Spec URL: http://oget.fedorapeople.org/review/calf.spec
SRPM URL: http://oget.fedorapeople.org/review/calf-0.0.18.3-1.fc10.src.rpm
Description: 
The Calf project aims at providing a set of high quality open source audio
plugins for musicians. All the included plugins are designed to be used with
multitrack software, as software replacement for instruments and guitar stomp
boxes.

The plugins are available in LV2, DSSI, Standalone JACK and LADSPA formats.

rpmlint:
   dssi-calf-plugins.x86_64: W: no-documentation
   ladspa-calf-plugins.x86_64: W: no-documentation
   lv2-calf-plugins.x86_64: W: no-documentation
Not much to do.

koji rawhide build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1266805

Comment 1 Marcela Mašláňová 2009-04-07 07:10:34 UTC
rpm -ivh /home/marca/calf-0.0.18.3-1.fc11.x86_64.rpm 
\error: Failed dependencies:                                           
        liblash.so.1()(64bit) is needed by calf-0.0.18.3-1.fc11.x86_64
Shouldn't be lash in requirements for calf package?

Also I can't check md5sum because on the upstream page is for download version 0.0.17. Could you send me a link for download 0.0.18? Thanks.

Comment 2 Orcan Ogetbil 2009-04-07 17:05:26 UTC
(In reply to comment #1)
> rpm -ivh /home/marca/calf-0.0.18.3-1.fc11.x86_64.rpm 
> \error: Failed dependencies:                                           
>         liblash.so.1()(64bit) is needed by calf-0.0.18.3-1.fc11.x86_64
> Shouldn't be lash in requirements for calf package?
> 

In the majority of cases, we don't need to express the library dependencies explicitly. See the first paragraph of:
   http://fedoraproject.org/wiki/Packaging/Guidelines#Requires

> Also I can't check md5sum because on the upstream page is for download version
> 0.0.17. Could you send me a link for download 0.0.18? Thanks.  

You can find it here:
   https://sourceforge.net/project/showfiles.php?group_id=211458

The download URL is also listed in the Source0 field in the SPEC file. You can also use spectool to see the source links:
   spectool -S calf.spec

Comment 3 Marcela Mašláňová 2009-04-09 06:48:05 UTC
OK Rpmlint must be run on every package.
OK The package must be named according to the Package Naming Guidelines.
OK The spec file name must match the base package %{name}.
OK The package must meet the Packaging Guidelines.
OK The package must be licensed with a Fedora approved license.
OK The License field in the package spec file must match the actual license.
OK If (and only if) the source package includes the text of the license(s) in its own file.
OK The spec file must be written in American English.
OK The spec file for the package MUST be legible.
OK The sources used to build the package must match the upstream source.
ef4a48629df9104da6f6081c33d3cfa0
OK The package MUST successfully compile.
OK Correct BuildRequires.
OK Proper use of %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
OK Shared library files (not just symlinks) must call ldconfig in %post and %postun.
OK Relocatable package must state this fact in the request for review.
OK A package must own all directories that it creates.
OK A package must not contain any duplicate files in the %files listing.
OK Permissions on files must be set properly.
OK Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK Each package must consistently use macros.
OK The package must contain code, or permissable content.
OK Large documentation files must go in a -doc subpackage.
OK If a package includes something as %doc, it must not affect the runtime of the application.
OK Header files must be in a -devel package.
OK Static libraries must be in a -static package.
OK Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
OK Library files with a suffix (e.g. libfoo.so.1.1) and files that end in .so (without suffix) must go in -devel.
OK In the vast majority of cases, devel packages must require the base package.
OK Packages must NOT contain any .la libtool archives.
OK Packages containing GUI applications must include a %{name}.desktop file.
OK At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

It was some problem with wget, 
ACCEPTED

Comment 4 Orcan Ogetbil 2009-04-09 06:59:28 UTC
Thank you Marcela, please let me know if/when you have a package that needs a review.

New Package CVS Request
=======================
Package Name: calf
Short Description: Audio plugins pack
Owners: oget
Branches: F-9 F-10
InitialCC:

Comment 5 Kevin Fenzi 2009-04-09 23:35:18 UTC
cvs done.

Comment 6 Fedora Update System 2009-04-10 03:47:41 UTC
calf-0.0.18.3-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/calf-0.0.18.3-1.fc10

Comment 7 Fedora Update System 2009-04-13 19:46:52 UTC
calf-0.0.18.3-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update calf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3623

Comment 8 Fedora Update System 2009-04-27 21:34:43 UTC
calf-0.0.18.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.